function [detCarPoss,detCarPossAbsRel] = DetectedXY(distFromLid,egoIMU)
% funkce pro převod z polárních do kartézských
%% rel
    vehiclePos =  zeros(size(distFromLid, 1),2); 
    for i = 1:size(distFromLid,1)   
        % zde je smě jízdy vozidla X+ a levá strana Y+
            vehiclePos(i,:) = [(distFromLid(i,1)*cosd(180-distFromLid(i,2))) (distFromLid(i,1)*sind(180-distFromLid(i,2)))];
    end

    %% výstup pro lokální relativní systém 
    % rotace do X front  Y Lateral
    detCarPossAbsRel=vehiclePos;

%% abs
    for i = 1:size(distFromLid,1)   
        % zde je smě jízdy vozidla X+ a levá strana Y+
            vehiclePos(i,:) = [(distFromLid(i,1)*cosd(180-distFromLid(i,2)))-0.313 (distFromLid(i,1)*sind(180-distFromLid(i,2)))];
    end


    %% výstup pro pro absolutní systém

    detCarPoss =  zeros(size(distFromLid, 1),2);

    %Uhel pro otočení do absolutního systému
    absRot = (-egoIMU(1,4)+90);

   % Otočení do abs
    for i = 1:size(distFromLid,1)
        detCarPoss(i,1) = vehiclePos(i,1)*cosd(absRot) - (vehiclePos(i,2)*sind(absRot));
        detCarPoss(i,2) = vehiclePos(i,1)*sind(absRot) + (vehiclePos(i,2)*cosd(absRot));
    end 
end